Bug 499435 - ice1712: m-audio audiophile 24/96 lacks front:/surround51:/... style devices
ice1712: m-audio audiophile 24/96 lacks front:/surround51:/... style devices
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: alsa-lib (Show other bugs)
14
All Linux
low Severity medium
: ---
: ---
Assigned To: Jaroslav Kysela
Fedora Extras Quality Assurance
: Reopened
: 507205 523876 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-06 12:23 EDT by Simon Schampijer
Modified: 2012-02-22 03:55 EST (History)
22 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 660395 (view as bug list)
Environment:
Last Closed: 2012-02-22 03:55:47 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Output of 'pulseaudio -vvvvv' (33.65 KB, text/plain)
2009-05-07 06:25 EDT, Simon Schampijer
no flags Details
pulseaudio -vvvvv (91.08 KB, text/plain)
2009-06-11 01:02 EDT, Sami Juvonen
no flags Details
Alsa-info --no-upload output (30.66 KB, text/plain)
2009-06-19 01:50 EDT, Pete Lawler
no flags Details
Pulseaudio -vvvv output (6.38 KB, text/plain)
2010-01-22 05:21 EST, balustre
no flags Details

  None (edit)
Description Simon Schampijer 2009-05-06 12:23:52 EDT
Description of problem:
I can not get sound on the analog outputs of my sound card - a m-audio audiophile 24/96 (ICE1712). In pavucontrol only the digital ones are shown. 

Version-Release number of selected component (if applicable):
0.9.15 (Fedora 11 - preview)

How reproducible:
always

Steps to Reproduce:
1.
2.
3.
  
Actual results:
No sound on analog outputs.

Expected results:


Additional info:
Comment 1 Lennart Poettering 2009-05-06 13:42:06 EDT
Please run "pulseaudio -vvvvv" in a terminal and paste the output here. (You might need to run pulseaudio -k first).

This should tell us what happens.

Most likely this is triggered by the ice card missing proper definitions for 'surround51:' style high-level devices and is an ALSA problem.
Comment 2 Simon Schampijer 2009-05-07 06:25:08 EDT
Created attachment 342819 [details]
Output of 'pulseaudio -vvvvv'
Comment 3 Simon Schampijer 2009-05-07 06:27:54 EDT
Thanks Lennart for getting back so quickly. I have attached the requested output.

Another test sample: I did stop pulseaudio and played some sound directly through alsa (analog out) - and this was working fine.
Comment 4 Lennart Poettering 2009-05-07 09:38:45 EDT
As it appears there is no device "front:xxx" defined on your card that would work with 2ch. PA relies on the availability of such a device string.

Reassigning to alsa.
Comment 5 Jaroslav Kysela 2009-05-11 04:08:35 EDT
From log:

Failed to set hardware parameters on plug:front:0: Invalid argument

What exact error message from alsa-lib? The front device is defined for this hardware.

Please, try 'aplay -D plug:front:0 <some_wav_file>' and attach output from this command.
Comment 6 Simon Schampijer 2009-05-12 05:16:57 EDT
The command above - going directly through alsa does work - no errors. When I do 'aplay <some wav>' (through pulse) I do not get sound.
Comment 7 Bug Zapper 2009-06-09 11:16:02 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Sami Juvonen 2009-06-11 01:02:17 EDT
Created attachment 347331 [details]
pulseaudio -vvvvv
Comment 9 Sami Juvonen 2009-06-11 01:03:21 EDT
I have the same problem on released F11 x86_64. Output of pulseaudio -vvvvv attached.

$ aplay -l
**** List of PLAYBACK Hardware Devices ****
card 0: M2496 [M Audio Audiophile 24/96], device 0: ICE1712 multi [ICE1712 multi]
  Subdevices: 1/1
  Subdevice #0: subdevice #0
card 1: Intel [HDA Intel], device 0: ALC883 Analog [ALC883 Analog]
  Subdevices: 1/1
  Subdevice #0: subdevice #0
card 1: Intel [HDA Intel], device 1: ALC883 Digital [ALC883 Digital]
  Subdevices: 1/1
  Subdevice #0: subdevice #0


$ aplay -L

front:CARD=M2496,DEV=0
    M Audio Audiophile 24/96, ICE1712 multi
    Front speakers
surround40:CARD=M2496,DEV=0
    M Audio Audiophile 24/96, ICE1712 multi
    4.0 Surround output to Front and Rear speakers
surround41:CARD=M2496,DEV=0
    M Audio Audiophile 24/96, ICE1712 multi
    4.1 Surround output to Front, Rear and Subwoofer speakers
surround50:CARD=M2496,DEV=0
    M Audio Audiophile 24/96, ICE1712 multi
    5.0 Surround output to Front, Center and Rear speakers
surround51:CARD=M2496,DEV=0
    M Audio Audiophile 24/96, ICE1712 multi
    5.1 Surround output to Front, Center, Rear and Subwoofer speakers
iec958:CARD=M2496,DEV=0
    M Audio Audiophile 24/96, ICE1712 multi
    IEC958 (S/PDIF) Digital Audio Output
null
    Discard all samples (playback) or generate zero samples (capture)
pulse
    PulseAudio Sound Server
default
    Default
front:CARD=Intel,DEV=0
    HDA Intel, ALC883 Analog
    Front speakers
surround40:CARD=Intel,DEV=0
    HDA Intel, ALC883 Analog
    4.0 Surround output to Front and Rear speakers
surround41:CARD=Intel,DEV=0
    HDA Intel, ALC883 Analog
    4.1 Surround output to Front, Rear and Subwoofer speakers
surround50:CARD=Intel,DEV=0
    HDA Intel, ALC883 Analog
    5.0 Surround output to Front, Center and Rear speakers
surround51:CARD=Intel,DEV=0
    HDA Intel, ALC883 Analog
    5.1 Surround output to Front, Center, Rear and Subwoofer speakers
surround71:CARD=Intel,DEV=0
    HDA Intel, ALC883 Analog
    7.1 Surround output to Front, Center, Side, Rear and Woofer speakers
iec958:CARD=Intel,DEV=0
    HDA Intel, ALC883 Digital
    IEC958 (S/PDIF) Digital Audio Output
Comment 10 Sami Juvonen 2009-06-11 01:06:11 EDT
Please let me know what troubleshooting information you need.
Comment 11 Chris 2009-06-11 16:21:36 EDT
I am also experiencing this issue. The output to the commands issued by other reporters is the same (except for the Intel device which I do not have). Please let me know if you need any further information.
Comment 12 Klaus-Peter Schrage 2009-06-15 13:23:13 EDT
Me too - same problem with my TerraTec DMX6Fire card (ICE1712).
Comment 13 Chris 2009-06-15 16:46:59 EDT
I have verified that sound works when I disable pulseaudio. To do that in Fedora 11 I had to edit /etc/pulse/client.conf and add "autospawn = no", then do "pulseaudio -k". Otherwise it continually respawns.

In case it's useful, on the pulseaudio-discuss list Lennart Poettering said about this bug:

"Shouldn't be too hard to fix for someone who cares to fix this. All that is needed is probably some fragment in /usr/share/alsa/cards/ that maps front:xxx in some sensible way to your card."

I'm investigating how to do this but I know very little about ALSA and pulse so I don't fancy my chances. :)
Comment 14 Chris 2009-06-15 18:06:23 EDT
I stumbled across this thread which seems relevant:

http://mailman.alsa-project.org/pipermail/alsa-devel/2009-January/014108.html

I'm still not clear if this is the source of the problem since sound works for me if I disable pulseaudio.
Comment 15 Pete Lawler 2009-06-15 23:43:39 EDT
Same here with M-Audio 66. Would seem the entire 1712 range is 'broken' for analog out. Makes me really wonder about that linked post in #14. Also, interesting side effect with Bug #496320. Took me a little while to work out where the issue actually was ;)
Comment 16 Pete Lawler 2009-06-19 01:50:07 EDT
Created attachment 348606 [details]
Alsa-info --no-upload output

Been sitting on #fedora for two days occasionally asking if any users of the 1712 were around and interested in looking at this one. 
15:36 < bleeter> any ICE1712 users around want to take a look at bug #499435 (No analog out available to pulse, only digital) with me? :)

Fenris02 was kind enough today to look. He didn't say he has one of these chips, but was nice of him to take a look anyways...
15:37  * fenris02 looks
15:40 < fenris02> bleeter, ugh.  another one that is getting passed around.
15:40 < fenris02> bleeter, might want to attach the output of 'alsa-info' for reference.

So here's the alsa-info reference from my machine.
15:41 < bleeter> fenris02: sure thing :)

My system has ICE1712 M Audio Delta 66 as well as a Logitech USB headset. There is an onboard AC97 chip, but it's disabled in the BIOS.
Comment 17 Lennart Poettering 2009-06-19 19:23:43 EDT
Here's the summary: 

The problem here is that opening plug:front:xxx with 2ch and SND_PCM_NO_AUTO_CHANNELS fails on those ICE drives (it insists that front:xxx is a 10ch device which doesn't make sense and PA doesn't know what to make of). This needs to be fixed in alsa-libs (probably in the config files shipped in /usr/share somwhere).
Comment 18 Pete Lawler 2009-06-19 19:36:19 EDT
I've just subscribed to Alsa-lib mail list and will see if I can get some attention, http://mailman.alsa-project.org/pipermail/alsa-devel/2009-January/014225.html would seem to have been the last time this was looked at by Alsa.

As for the updated config, I've tried occasionally in #fedora to see if there are other ICE1712 users around where we can 'try stuff' out. But the trolling started, and I was 'forced' to go into #pulseaudio and #alsa-lib even though I knew what was what and hence I was looking for users to co-operate with sorting out a decent config file.

/sigh

Thanks for your patience and efforts, though, lennart :)
Comment 21 Jay Bowles 2009-07-20 16:06:44 EDT
I have been avidly following the various bug reports with M-Audio soundcards as I have been having problems getting my Audiophile 2496 working in fedora.

If this is any use to someone more technically capable in this problem, I now have sound with Pulseaudio!

My solution was to reinstall but choose KDE instead of Gnome as my desktop. After selecting my soundcard with kmix, all is good! This was even following a kernel oops (for which i posted a bug)! I simply did all the updates and rebooted!!

Now this to me suggests some sort of issue with the gnome's default setup with pulseaudio and my card......

If this helps I've included the following:


[penguinclaw@penguinclaw ~]$ aplay -l
**** List of PLAYBACK Hardware Devices ****
card 0: HDMI [HDA ATI HDMI], device 3: ATI HDMI [ATI HDMI]
  Subdevices: 0/1
  Subdevice #0: subdevice #0
card 1: M2496 [M Audio Audiophile 24/96], device 0: ICE1712 multi [ICE1712 multi]
  Subdevices: 0/1
  Subdevice #0: subdevice #0


[penguinclaw@penguinclaw ~]$ aplay -L
hdmi:CARD=HDMI
    HDA ATI HDMI, ATI HDMI
    HDMI Audio Output
null
    Discard all samples (playback) or generate zero samples (capture)
pulse
    PulseAudio Sound Server
default
    Default
front:CARD=M2496,DEV=0
    M Audio Audiophile 24/96, ICE1712 multi
    Front speakers
surround40:CARD=M2496,DEV=0
    M Audio Audiophile 24/96, ICE1712 multi
    4.0 Surround output to Front and Rear speakers
surround41:CARD=M2496,DEV=0
    M Audio Audiophile 24/96, ICE1712 multi
    4.1 Surround output to Front, Rear and Subwoofer speakers
surround50:CARD=M2496,DEV=0
    M Audio Audiophile 24/96, ICE1712 multi
    5.0 Surround output to Front, Center and Rear speakers
surround51:CARD=M2496,DEV=0
    M Audio Audiophile 24/96, ICE1712 multi
    5.1 Surround output to Front, Center, Rear and Subwoofer speakers
iec958:CARD=M2496,DEV=0
    M Audio Audiophile 24/96, ICE1712 multi
    IEC958 (S/PDIF) Digital Audio Output

I notice from aplay -l in gnome there is a difference in that "card0 subdevices:1/1"


Hope this helps!!!! ;)
Comment 22 Chris 2009-08-07 14:03:16 EDT
It seems to me that this bug is a result of there being many different devices based on the ICE1712 chip but with varying numbers of inputs/outputs. It worked fine for me in Fedora 10 but it seems that someone with a different device had a problem which was fixed at the expense of others. 
See the link in my comment #14 for my reasoning. To quote one of the posts in the thread:

"ICE1712 has 8 independent outputs, so why surround definitions do not 
make sense?"

I'd like to point out that I have access to the Delta 1010LT (10 in 10 out) and Delta 44 (4 in 4 out) cards at work, and the Delta 2496 (2 in 2 out) at home. If someone with the appropriate knowledge would be kind enough to investigate this I'd be happy to put in the time to set up 3 machines with one of each of those cards. If so, please post contact details on this bug report.
Comment 23 Pete Lawler 2009-08-11 19:40:56 EDT
Simon #20
Um, try both? I didn't have any success when I tried. But that may have just been my poor patching or similar...
Comment 24 M. Hagoort 2009-08-16 16:28:35 EDT
Same issue with an Terratec EWX 24/96

als-info output:
http://www.alsa-project.org/db/?f=d1c37581e586ff97c04f39fa77d192281b0e7187
Comment 25 M. Hagoort 2009-08-16 17:12:54 EDT
(In reply to comment #24)
> Same issue with an Terratec EWX 24/96
> 
> als-info output:
> http://www.alsa-project.org/db/?f=d1c37581e586ff97c04f39fa77d192281b0e7187  

After installing alsa-tools package which contains the envy24control and running the envy24control the error only appears only once at login.
Hereafter the kernel error doesn't appear anymore.
So it sounds like an incorrect "basic" configuration.

Will keep you'll informed if i found more solutions.
Comment 26 Lennart Poettering 2009-08-17 15:20:49 EDT
This might be interesting for folks with semi-pro or pro-cards:

http://pulseaudio.org/ticket/624
Comment 27 Lennart Poettering 2009-09-07 18:38:03 EDT
*** Bug 507205 has been marked as a duplicate of this bug. ***
Comment 28 Lennart Poettering 2009-09-16 22:09:53 EDT
*** Bug 523876 has been marked as a duplicate of this bug. ***
Comment 29 balustre 2009-09-18 18:57:28 EDT
It seem that this is the solution to make pulseaudio 0.9.15 work with cards ice1712 :

1. This is from the message #30 of https://bugs.launchpad.net/ubuntu/+sour … bug/178442 #30
Edition of the file /usr/share/alsa/cards/ICE1712.conf by changing the informations of ICE1712.pcm.front.0 in :

ICE1712.pcm.front.0 {
        @args [ CARD ]
        @args.CARD {
                type string
        }
        type route
        ttable.0.0 1
        ttable.1.1 1
        slave.pcm {
                type hw
                card $CARD
        }
        slave.format S32_LE
        slave.channels 10
}

Now, the file /usr/share/alsa/cards/ICE1712.conf should be the following :

#
# Configuration for the ICE1712 (Envy24) chip
#

# default with dmix & dsnoop

<confdir:pcm/front.conf>

ICE1712.pcm.front.0 {
        @args [ CARD ]
        @args.CARD {
                type string
        }
        type route
        ttable.0.0 1
        ttable.1.1 1
        slave.pcm {
                type hw
                card $CARD
        }
        slave.format S32_LE
        slave.channels 10
}

<confdir:pcm/surround40.conf>

ICE1712.pcm.surround40.0 {
    @args [ CARD ]
    @args.CARD {
        type string
    }
    type route
    ttable.0.0 1
    ttable.1.1 1
    ttable.2.2 1
    ttable.3.3 1
    slave.pcm {
        type hw
        card $CARD
    }
}    

<confdir:pcm/surround41.conf>
<confdir:pcm/surround50.conf>
<confdir:pcm/surround51.conf>

ICE1712.pcm.surround51.0 {
    @args [ CARD ]
    @args.CARD {
        type string
    }
    type route
    ttable.0.0 1
    ttable.1.1 1
    ttable.2.2 1
    ttable.3.3 1
    ttable.4.4 1
    ttable.5.5 1
    slave.pcm {
        type hw
        card $CARD
    }
}

<confdir:pcm/iec958.conf>

ICE1712.pcm.iec958.0 {
    @args [ CARD AES0 AES1 AES2 AES3 ]
    @args.CARD {
        type string
    }
    @args.AES0 {
        type integer
    }
    @args.AES1 {
        type integer
    }
    @args.AES2 {
        type integer
    }
    @args.AES3 {
        type integer
    }
    type asym
    playback.pcm {
        type hooks
        slave.pcm {
            type route
            ttable.0.8 1
            ttable.1.9 1
            slave.pcm {
                type hw
                card $CARD
            }
            slave.format S32_LE
            slave.channels 10
        }
        hooks.0 {
            type ctl_elems
            hook_args [
                {
                    interface PCM
                    name "IEC958 Playback PCM Stream"
                    lock true
                    preserve true
                    value [ $AES0 $AES1 $AES2 $AES3 ]
                }
            ]
        }
    }
    capture.pcm {
        type route
        ttable.0.8 1
        ttable.1.9 1
        slave.pcm {
            type hw
            card $CARD
        }
        slave.format S32_LE
        slave.channels 12
    }
}

2. In /etc/pulse/default.pa
Commenting the lign :
load-module module-hal-detect

and write :
load-module module-hal-detect tsched=0

(no need to add other lines... neither commenting more lines)

3. from the pulseaudio wiki : http://doc.fedora-fr.org/w/index.php?ti … ldid=15153)
Edition of /etc/asound.conf. Add :

pcm.pulse {
    type pulse
}
ctl.pulse {
    type pulse
}
pcm.!default {
    type pulse
}
ctl.!default {
    type pulse
}

4. Now you can launch pulseaudio (user normal)
pulseaudio -vvvvv

- If the daemon is already launched :

pulseaudio --kill

- if there is a message of "Device or resource busy" : 

fuser -v /dev/snd/* /dev/dsp*

to know what program uses the sound card.

5. Once the daemon pulseaudio launched, choose as profile :
Output Analog Stereo ou Output Analog Stereo + Input Digital Stereo (IEC958)
Comment 30 Pete Lawler 2009-09-18 20:12:35 EDT
balustre, my music has never sounded quite so sweet! Thanks for the working hacks!
Comment 31 Klaus-Peter Schrage 2009-09-20 10:18:03 EDT
(In reply to comment #29)
Thanks - this hack works for me as well (card TerraTec DMX6Fire).
Comment 32 Jean-Baptiste Hétier 2009-09-30 15:52:34 EDT
Sweet, works for me as well with an M-Audio Audiophile 24/96.  Thanks!
Comment 33 Lennart Poettering 2009-10-02 05:14:55 EDT
It's a pity that noone owning an ICE is willing to fix this issue for good. Guys, this is free software. Instead of coming up with work-arounds, how about actually pushing  proper fix to the alsa devs?
Comment 34 Pete Lawler 2009-10-02 05:21:55 EDT
I'm not 'up' sufficiently with ALSA API/roadmap/etc. to know what a 'proper' fix would be. Given the above workaround, surely someone with deep knowledge in that area could propose proper fixes for people like me to try out?
Comment 35 Klaus-Peter Schrage 2009-11-21 11:20:35 EST
FWIW: For me, this issue persists in Fedora 12. Only digitital ins and outs of my TerraTec DMX6Fire were available.
From the hack proposed in comment #29, I only needed to apply step 1 to make analogue ins and outs work again. 
In short, I had to add two lines to /usr/share/alsa/cards/ICE1712.conf (in the definition of ICE1712.pcm.front.0). I didn't touch any other file.
Comment 36 Paul Coccoli 2009-12-29 23:25:47 EST
Can someone tell me what's wrong with Diego's patches from comment #14?  As in, why is that not the fix?  Seems to work.
Comment 37 Jaroslav Kysela 2009-12-30 07:53:14 EST
The problem is that it's not the correct fix. It's just workaround. These extra parameters specified in the configuration file (comment#14) should be read from hardware.

I need to know what PA tries to do with front:0 devices, because aplay (comment#6) works with this device without any problems. It would be nice to see this problem reproduced with more "low-level" tool like aplay to identify the real culprit and make a proper fix.
Comment 38 Paul Coccoli 2009-12-30 14:22:07 EST
I should also add that pulseaudio worked fine with my Delta 66 on Fedora 10 (I skipped 11).  So this is a regression.
Comment 39 balustre 2010-01-22 05:21:52 EST
Created attachment 386115 [details]
Pulseaudio -vvvv output
Comment 40 balustre 2010-01-22 05:26:07 EST
With the exact same configuration as in comment #29, I do no longer have pulseaudio working with my card since an update of the system in january on F11.

I've posted the pulseaudio -vvvv attachement, but it seems that the error come from 

pulseaudio: pcm_params.c :2237 : snd1_pcm_hw_params_slave:  L'assertion « err >= 0 » a échoué.
Abandon

If I remove the line "slave.channels 10" in the definition on front0, my card is recognized and configured, but solo with an digital and analogue input (no outputs...)

I don't understand since nothing (apparently) has changed in my configuration. Anyone has an idea on that error ? Thanks.
Comment 41 Dennis Jacobfeuerborn 2010-01-22 08:02:54 EST
(In reply to comment #40)
> With the exact same configuration as in comment #29, I do no longer have
> pulseaudio working with my card since an update of the system in january on
> F11.

Maybe you are hitting this alsa-lib bug:
https://bugzilla.redhat.com/show_bug.cgi?id=553497
Comment 42 balustre 2010-01-24 05:26:55 EST
Thanks !! It seems to be the problem. Reverting back to alsa-lib 1.0.20-1 solved the problem. I now have digital input and outputs (not the analogue though).
Comment 43 Klaus-Peter Schrage 2010-01-29 13:46:23 EST
FWIW: Latest updates of
alsa-lib-1.0.22-2.fc12
pulseaudio-0.9.21-4.fc12.x86_64
didn't change much for me: Still only digital outputs are available (and working).

Adressing the front device by 'aplay -D plug:front:0 some.wav' works too.

Changing the front portion in ICE1712.conf to
...
ICE1712.pcm.front.0 {
	@args [ CARD ]
	@args.CARD {
		type string
	}
	type route
	ttable.0.0 1
	ttable.1.1 1
	slave.pcm {
		type hw
		card $CARD
	}
        slave.format S32_LE
        slave.channels 10
}	
...
still seems to be a workaround.
Comment 44 Lennart Poettering 2010-02-18 14:58:07 EST
Before PA will work well on these cards the mixer element names need fixing too:

https://bugzilla.redhat.com/show_bug.cgi?id=566565
Comment 45 Bug Zapper 2010-04-27 10:09:34 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 46 Paul Coccoli 2010-05-06 10:38:14 EDT
This applies to Fedora 12, too.  Please update the version.
Comment 47 Tim Jackson 2010-05-27 14:49:54 EDT
Problem still exists in F-13 on Audiophile 24/96 with:

alsa-lib-1.0.23-1.fc13.x86_64
pulseaudio-0.9.21-6.fc13.x86_64

The fix (adding the two lines 
slave.format S32_LE
slave.channels 10
to /usr/share/alsa/cards/ICE1712.conf)
still works for me.

What do we need to do to get this fixed for good? Lennart, you said bug #566565 was relevant. That bug says it was fixed some time ago (well, in F-12 CVS which means it ought also to be in F-13) and also says it applies to ICE1720 rather than 1712, although alsa-info for my ICE1712 does still show a mixer control called "PCM" rather than "Front".

Re comment #13, it sounds like it may be a PA issue but like others I'm not quite clear what I can do to help, or whether it's ALSA or PA which needs changing (or both).
Comment 48 Jean-Baptiste Hétier 2010-05-27 17:52:27 EDT
Just like Tim Jackson, I still have the problem on Fedora 13 with Audiophile 24/96.
Comment 49 Fabien Archambault 2010-08-23 17:44:16 EDT
Same as previous comment on Fedora 13!
Comment 50 Don Scapp 2010-09-05 15:57:34 EDT
Ubuntu 10.10 beta still has trouble, 10.04 did, and each time I have to add 

slave.format S32_LE
slave.channels 10

to the relevant section for my soundcard to work!
Comment 51 Bug Zapper 2010-11-04 07:16:51 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 52 Fabien Archambault 2010-11-04 07:26:24 EDT
This minimum a F13 issue... Please update!
Comment 53 Klaus-Peter Schrage 2010-11-27 12:09:18 EST
Since nobody seems to have stated it explicitly: For me this bug still occurres in F14, even with latest updates of alsa-lib and pulseaudio:
alsa-lib-1.0.23-2.fc14.x86_64
pulseaudio-0.9.21-7.fc14.x86_64

Card: Terratec DMX 6fire 24/96
Comment 54 Bug Zapper 2010-12-05 01:54:58 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 55 Jérôme Benoit 2011-01-20 20:05:16 EST
This bug is still present on Fedora 14.
Comment 56 Klaus-Peter Schrage 2011-05-31 13:57:40 EDT
In my imagination this must be going on for decades now ...
Now we are in Fedora 15, with the bug still present, and those magic two lines in ICE1712.conf still do the trick.
Comment 57 Bug Zapper 2011-06-02 14:06:51 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 58 Bug Zapper 2011-06-27 10:11:24 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 59 Jean-Baptiste Hétier 2011-07-21 08:24:38 EDT
I have reported the bug in the alsa-project bug tracking system.
https://bugtrack.alsa-project.org/alsa-bug/view.php?id=5413

Since the bug can also be found in other distributions (https://bugs.launchpad.net/ubuntu/+source/asoundconf-gtk/+bug/515874) it seemed to me like a good idea to report it upstream.
Comment 60 Sylvain Hervé 2011-07-24 19:15:56 EDT
I also have the same bug (which i hadn't with ubuntu...) So i changed thes files as recommended upper... It works but when i come out of hibernation the sound is really Crappy... Do i need to report another bug or have you got the same? (Sorry for my english, i'm french...)
Comment 61 Sylvain Hervé 2011-07-24 19:17:56 EDT
By the way, i'm on fedora 15 of course...
Comment 62 gerontiskostas 2011-11-09 06:03:27 EST
I confirm the bug is still around with a fresh Fedora 16 installation. It has allready been fixed in Ubuntu. The universal work-around only works for making analog outputs available, but not inputs.
Comment 63 gerontiskostas 2011-11-11 01:39:16 EST
It seems the fix has been commited to Alsa-lib, but not implemented yet? Anyway, HERE IS HOW TO FIX THIS and get Analog Inputs & Outputs for your ICE1712 card :)

Just edit your /usr/share/alsa/cards/ICE1712.conf as root and substitute ALL text with the one in the following link: http://git.alsa-project.org/?p=alsa-lib.git;a=blob_plain;f=src/conf/cards/ICE1712.conf

Then save it, reboot, run alsamixer in a terminal, press F6 to choose your soundcard (if it's not default) and raise the DAC volumes. You're good to go.

If you care to see what's actually been added and removed (it's more than the well-known two lines workaround), check this link:
git.alsa-project.org/?p=alsa-lib.git;a=blobdiff;f=src/conf/cards/ICE1712.conf;h=f5b8add6322caf7658b88d17e266bbf256ebd78a;hp=01e50d27d2d4324dc86d3785a69c1ca4010f8ef0;hb=d3906a93072171e5b5f4000d4a228af4eb8fa253;hpb=f2912f5099e401cebacd33bd9da3d8318856e143
Comment 64 Klaus-Peter Schrage 2012-02-22 02:46:26 EST
Finally, this oldie, which already had been mentioned by Julius Caesar in his "De bello gallico", seems to be fixed in alsa-lib-1.0.25-1! It works for me now (card: Terratec DMX 6fire 24/96).

Note You need to log in before you can comment on or make changes to this bug.